Cards and payment methods
List customer payment methods
Lists all payment methods for a customer. Requires admin authentication.
GET
/
api
/
customers
/
{customer_id}
/
payment_methods
List customer payment methods
curl --request GET \
--url https://api.fluid.app/api/customers/{customer_id}/payment_methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/customers/{customer_id}/payment_methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/customers/{customer_id}/payment_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/customers/{customer_id}/payment_methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/customers/{customer_id}/payment_methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/customers/{customer_id}/payment_methods")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/customers/{customer_id}/payment_methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"customer": {
"id": 48213,
"default_payment_method_id": 250917
},
"payment_methods": [
{
"id": 250917,
"source": "card",
"created_at": "2026-09-03T15:22:41Z",
"updated_at": "2026-09-18T09:04:12Z",
"payment_title": "Credit Card",
"au_status": null,
"default": true,
"payment_type": "Credit Card",
"details": {
"id": 250917,
"type": "CreditCard",
"card_network": "visa",
"card_brand": "Visa",
"last4_digits": "4242",
"last_four": "4242",
"exp_month": 11,
"exp_year": 2029,
"logo_url": "https://assets.fluid.app/images/payment_icons/visa.svg",
"vgs_card_id": null,
"requires_3ds": false
}
},
{
"id": 251044,
"source": "card",
"created_at": "2026-09-12T18:40:03Z",
"updated_at": "2026-09-12T18:40:03Z",
"payment_title": "Credit Card",
"au_status": null,
"default": false,
"payment_type": "Credit Card",
"details": {
"id": 251044,
"type": "CreditCard",
"card_network": "mastercard",
"card_brand": "Mastercard",
"last4_digits": "4444",
"last_four": "4444",
"exp_month": 6,
"exp_year": 2028,
"logo_url": "https://assets.fluid.app/images/payment_icons/master.svg",
"vgs_card_id": null,
"requires_3ds": false
}
}
],
"meta": {
"request_id": "6f2d8c41-93ab-4e57-b0d2-1c7a5e9f3b86",
"timestamp": "2026-09-21T14:05:37Z"
}
}{
"message": "<string>"
}⌘I
List customer payment methods
curl --request GET \
--url https://api.fluid.app/api/customers/{customer_id}/payment_methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/customers/{customer_id}/payment_methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/customers/{customer_id}/payment_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/customers/{customer_id}/payment_methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/customers/{customer_id}/payment_methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/customers/{customer_id}/payment_methods")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/customers/{customer_id}/payment_methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"customer": {
"id": 48213,
"default_payment_method_id": 250917
},
"payment_methods": [
{
"id": 250917,
"source": "card",
"created_at": "2026-09-03T15:22:41Z",
"updated_at": "2026-09-18T09:04:12Z",
"payment_title": "Credit Card",
"au_status": null,
"default": true,
"payment_type": "Credit Card",
"details": {
"id": 250917,
"type": "CreditCard",
"card_network": "visa",
"card_brand": "Visa",
"last4_digits": "4242",
"last_four": "4242",
"exp_month": 11,
"exp_year": 2029,
"logo_url": "https://assets.fluid.app/images/payment_icons/visa.svg",
"vgs_card_id": null,
"requires_3ds": false
}
},
{
"id": 251044,
"source": "card",
"created_at": "2026-09-12T18:40:03Z",
"updated_at": "2026-09-12T18:40:03Z",
"payment_title": "Credit Card",
"au_status": null,
"default": false,
"payment_type": "Credit Card",
"details": {
"id": 251044,
"type": "CreditCard",
"card_network": "mastercard",
"card_brand": "Mastercard",
"last4_digits": "4444",
"last_four": "4444",
"exp_month": 6,
"exp_year": 2028,
"logo_url": "https://assets.fluid.app/images/payment_icons/master.svg",
"vgs_card_id": null,
"requires_3ds": false
}
}
],
"meta": {
"request_id": "6f2d8c41-93ab-4e57-b0d2-1c7a5e9f3b86",
"timestamp": "2026-09-21T14:05:37Z"
}
}{
"message": "<string>"
}